Bug 55326 - chkconfig documentation wrong
chkconfig documentation wrong
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-29 14:01 EST by Michael Schwendt
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 15:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2001-10-29 14:01:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The big fat warning at the bottom of the documentation page for "chkconfig"
does NOT apply to xinetd driven services. Running chkconfig on xinetd
services sends a SIGUSR2 to xinetd which causes it to perform a hard
reconfiguration with immediate (!) effects. The "service xinetd restart" is
NOT necessary.

Version-Release number of selected component (if applicable):
rhl-cg(EN)-7.2-HTML-RHI (2001-08-30T14:29-0400)


How reproducible:
Always

Steps to Reproduce:
1. tail -f /var/log/messages
2. chkconfig pop3s off
3. chkconfig pop3s on

Observe how xinetd is sent a SIGUSR2 signal which causes hard
reconfiguration. Service "pop3s" from the example is available immediately.


Additional info: bottom of "man xinetd" covers xinetd hard reconfiguration
via SIGUSR2
Comment 1 Tammy Fox 2001-10-30 13:59:27 EST
Thanks for bringing this to our attention. I have released
a docs errata for it.

Note You need to log in before you can comment on or make changes to this bug.